/* Sistemas Integrados TECNISA

Nome: DTULTATU_TIPODEPREC

Descrio:

Atualiza a data de ultima atualizao da tabela TIPODEPREC

Criao:
15/01/2009 Frederico Gonalves Moreira da Costa
*/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_TIPODEPREC' and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_TIPODEPREC
GO

CREATE TRIGGER DTULTATU_TIPODEPREC
ON TIPODEPREC
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'TIPODEPREC',NULL,'CDEMPRESA='+CDEMPRESA+';'+'CDTIPODEPREC='+CDTIPODEPREC+';',
                               GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE TIPODEPREC
      SET DTULTATUTPDEP = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(REGIMEBEM.CDEMPRESA,0) = ISNULL(INSERTED.CDEMPRESA,0)) AND
            (ISNULL(REGIMEBEM.CDTIPODEPREC,0) = ISNULL(INSERTED.CDTIPODEPREC,0)) AND
            (ISNULL(REGIMEBEM.NMTIPODEPREC,0) = ISNULL(INSERTED.NMTIPODEPREC,0)) AND
            (ISNULL(REGIMEBEM.NMABREVTIPODEP,0) = ISNULL(INSERTED.NMABREVTIPODEP,0)) AND
            (ISNULL(REGIMEBEM.NRCOETIPODEP,0) = ISNULL(INSERTED.NRCOETIPODEP,0)) AND
            (ISNULL(REGIMEBEM.DSOBSTIPODEP,0) = ISNULL(INSERTED.DSOBSTIPODEP,0)) AND
            (ISNULL(REGIMEBEM.CDOPERATUTPDEP,0) = ISNULL(INSERTED.CDOPERATUTPDEP,0));
   END;
END;
GO